<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <title>URL Shortener Application</title>
    <!--/*/ <th:block th:include="fragments/headerinc :: head"></th:block> /*/-->
</head>
<body>
<div class="container">
    <!--/*/ <th:block th:include="fragments/header :: header"></th:block> /*/-->
    <h2>Shorten a URL</h2>
    <div>
        <form class="form-horizontal" th:object="${urlObject}" th:action="@{/urlObject}" method="post">
            <input type="hidden" th:field="*{id}"/>
            <input type="hidden" th:field="*{shortened_url}"/>
            <div class="form-group">
                <label class="col-sm-2 control-label">Enter URL:</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" th:field="*{original_url}"/>
                </div>
            </div>
            <div class="row">
                <button type="submit" class="btn btn-default">Submit</button>
            </div>
        </form>
    </div>
</div>

</body>
</html>